# Ogre::ResourceBackgroundQueue::QueuedNotification Struct Reference

Struct that holds details of queued notifications. More...

`#include <OgreResourceBackgroundQueue.h>`

List of all members.

## Public Member Functions

| QueuedNotification (Resource *r, bool load)
| QueuedNotification (const Request &req)

## Public Attributes

bool | load
Resource * | resource
Request | req

## Detailed Description

Struct that holds details of queued notifications.

Definition at line 169 of file OgreResourceBackgroundQueue.h.

## Constructor & Destructor Documentation

Ogre::ResourceBackgroundQueue::QueuedNotification::QueuedNotification | ( | Resource * | r,
|  | bool | load
| ) |

| Definition at line 171 of file OgreResourceBackgroundQueue.h.

Ogre::ResourceBackgroundQueue::QueuedNotification::QueuedNotification | ( | const Request & | req | ) |

| Definition at line 175 of file OgreResourceBackgroundQueue.h.

## Member Data Documentation

bool Ogre::ResourceBackgroundQueue::QueuedNotification::load

| Definition at line 179 of file OgreResourceBackgroundQueue.h.

Request Ogre::ResourceBackgroundQueue::QueuedNotification::req

| Definition at line 183 of file OgreResourceBackgroundQueue.h.

Resource* Ogre::ResourceBackgroundQueue::QueuedNotification::resource

| Definition at line 181 of file OgreResourceBackgroundQueue.h.

The documentation for this struct was generated from the following file:

- OgreResourceBackgroundQueue.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:52:07 2009